#!/bin/sh
echo 'name: hxt
version: 9.1.2
id: hxt-9.1.2-8c3255a0607b7c5d4981b74aa1ed5ed4

license: MIT
copyright: Copyright (c) 2005-2010 Uwe Schmidt
maintainer: Uwe Schmidt <uwe@fh-wedel.de>
stability: Stable
homepage: http://www.fh-wedel.de/~si/HXmlToolbox/index.html
package-url:
description: The Haskell XML Toolbox bases on the ideas of HaXml and HXML,
             but introduces a more general approach for processing XML with Haskell.
             The Haskell XML Toolbox uses a generic data model for representing XML documents,
             including the DTD subset and the document subset, in Haskell.
             It contains a validating XML parser, a HTML parser, namespace support,
             an XPath expression evaluator, an XSLT library, a RelaxNG schema validator
             and funtions for serialization and deserialization of user defined data.
             The library makes extensive use of the arrow approach for processing XML.
             Since version 9 the toolbox is partitioned into various (sub-)packages.
             This package contains the core functionality,
             hxt-curl, hxt-tagsoup, hxt-relaxng, hxt-xpath, hxt-xslt, hxt-regex-xmlschema contain the extensions.
             hxt-unicode contains encoding and decoding functions,
             hxt-charproperties char properties for unicode and XML.
category: XML
author: Uwe Schmidt, Martin Schmidt, Torben Kuseler
exposed: True
exposed-modules: Control.Arrow.ArrowExc Control.Arrow.ArrowIO
                 Control.Arrow.ArrowIf Control.Arrow.ArrowList Control.Arrow.ArrowNF
                 Control.Arrow.ArrowNavigatableTree Control.Arrow.ArrowState
                 Control.Arrow.ArrowTree Control.Arrow.IOListArrow
                 Control.Arrow.IOStateListArrow Control.Arrow.ListArrow
                 Control.Arrow.ListArrows Control.Arrow.NTreeEdit
                 Control.Arrow.StateListArrow Control.FlatSeq Data.AssocList
                 Data.Atom Data.Function.Selector Data.Tree.Class
                 Data.Tree.NTree.TypeDefs Data.Tree.NTree.Edit
                 Data.Tree.NTree.Zipper.TypeDefs Data.Tree.NavigatableTree.Class
                 Data.Tree.NavigatableTree.XPathAxis Text.XML.HXT.Arrow.Binary
                 Text.XML.HXT.Arrow.DTDProcessing Text.XML.HXT.Arrow.DocumentInput
                 Text.XML.HXT.Arrow.DocumentOutput Text.XML.HXT.Arrow.Edit
                 Text.XML.HXT.Arrow.GeneralEntitySubstitution
                 Text.XML.HXT.Arrow.Namespace Text.XML.HXT.Arrow.ParserInterface
                 Text.XML.HXT.Arrow.Pickle Text.XML.HXT.Arrow.Pickle.DTD
                 Text.XML.HXT.Arrow.Pickle.Schema Text.XML.HXT.Arrow.Pickle.Xml
                 Text.XML.HXT.Arrow.ProcessDocument Text.XML.HXT.Arrow.ReadDocument
                 Text.XML.HXT.Arrow.WriteDocument Text.XML.HXT.Arrow.XmlArrow
                 Text.XML.HXT.Arrow.XmlOptions Text.XML.HXT.Arrow.XmlRegex
                 Text.XML.HXT.Arrow.XmlState
                 Text.XML.HXT.Arrow.XmlState.ErrorHandling
                 Text.XML.HXT.Arrow.XmlState.MimeTypeTable
                 Text.XML.HXT.Arrow.XmlState.RunIOStateArrow
                 Text.XML.HXT.Arrow.XmlState.TraceHandling
                 Text.XML.HXT.Arrow.XmlState.TypeDefs
                 Text.XML.HXT.Arrow.XmlState.URIHandling
                 Text.XML.HXT.Arrow.XmlState.SystemConfig Text.XML.HXT.Core
                 Text.XML.HXT.DOM.FormatXmlTree Text.XML.HXT.DOM.Interface
                 Text.XML.HXT.DOM.MimeTypeDefaults Text.XML.HXT.DOM.MimeTypes
                 Text.XML.HXT.DOM.QualifiedName Text.XML.HXT.DOM.ShowXml
                 Text.XML.HXT.DOM.TypeDefs Text.XML.HXT.DOM.Util
                 Text.XML.HXT.DOM.XmlKeywords Text.XML.HXT.DOM.XmlNode
                 Text.XML.HXT.DTDValidation.AttributeValueValidation
                 Text.XML.HXT.DTDValidation.DTDValidation
                 Text.XML.HXT.DTDValidation.DocTransformation
                 Text.XML.HXT.DTDValidation.DocValidation
                 Text.XML.HXT.DTDValidation.IdValidation
                 Text.XML.HXT.DTDValidation.RE Text.XML.HXT.DTDValidation.TypeDefs
                 Text.XML.HXT.DTDValidation.Validation
                 Text.XML.HXT.DTDValidation.XmlRE Text.XML.HXT.IO.GetFILE
                 Text.XML.HXT.Parser.HtmlParsec
                 Text.XML.HXT.Parser.ProtocolHandlerUtil
                 Text.XML.HXT.Parser.XhtmlEntities Text.XML.HXT.Parser.XmlCharParser
                 Text.XML.HXT.Parser.XmlDTDParser
                 Text.XML.HXT.Parser.XmlDTDTokenParser
                 Text.XML.HXT.Parser.XmlEntities Text.XML.HXT.Parser.XmlParsec
                 Text.XML.HXT.Parser.XmlTokenParser
                 Text.XML.HXT.XMLSchema.DataTypeLibW3CNames Text.XML.HXT.Version
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.3/cabal/hxt-9.1.2
library-dirs: /usr/local/lib/ghc-7.0.3/cabal/hxt-9.1.2
              /usr/local/lib
hs-libraries: HShxt-9.1.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: HUnit-1.2.2.3-e1267035fbfcf63ba78af031f8e974a5
         base-4.3.1.0-93a63ba911a7eac625848432374f7fee
         binary-0.5.0.2-9ef1f923d941cd09138d709aca55a66b
         bytestring-0.9.1.10-8fbcae7fd1f192307195284611c786a2
         containers-0.4.0.0-18deac99a132f04751d862b77aab136e
         deepseq-1.1.0.2-09b3aed0c4982bbc6569c668100876fa
         directory-1.1.0.0-ccdcf043bf8bcec9518fbfad880579a5
         filepath-1.2.0.0-679ac50c41ba31bfc69abf444d9852e4
         haskell98-1.1.0.1-d297a29bdc63fd1be05662f1882b09e7
         hxt-charproperties-9.1.0-ee410d624ebc35ccd620c0cc87f43069
         hxt-regex-xmlschema-9.0.0-940761654f18290bdea1c888113bde0f
         hxt-unicode-9.0.1-03381b7a9f2e50edc2193ba1c37c28c9
         network-2.3.0.2-7d301bdc02400acd6cf313f735c3c999
         parsec-3.1.1-b00f60a5e51d506a52e3c7ef2ba3e9f9
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.3/cabal/hxt-9.1.2/html/hxt.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.3/cabal/hxt-9.1.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
